---
variables:
  GITLAB_CI_APT_REPOSITORY: 'deb http://download.opensuse.org/repositories/home:/librespace:/satnogs2/Debian_12/ /'
  GITLAB_CI_APT_KEY_URL: 'https://download.opensuse.org/repositories/home:librespace:satnogs2/Debian_12/Release.key'
  GITLAB_CI_OBS_PROJECT: 'home:librespace:satnogs2'
  GITLAB_CI_OBS_PROJECT_UNSTABLE: 'home:librespace:satnogs-unstable2'
  GITLAB_CI_OBS_IMAGE: 'librespace/gnuradio:3.10.5.1'
  GITLAB_CI_SIGN_OFF_EXCLUDE: '66eefd345b4211ef696b1c9f18c8c7bbed05b16f'
stages:
  - static
  - build
  - deploy

include:
  - template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'
  - project: 'librespacefoundation/templates/gitlab-ci'
    ref: 'ed44d9741ba9d13ff097b85cbd6ce7c11af3ee8c'
    file: '.gitlab-ci-sign-off.yml'
  - project: 'librespacefoundation/templates/gitlab-ci'
    ref: 'ed44d9741ba9d13ff097b85cbd6ce7c11af3ee8c'
    file: '.gitlab-ci-obs-debian.yml'

# 'static' stage
sign_off:
  stage: static
  needs: []

# 'build' stage
debian:
  stage: build
  needs: []

# 'deploy' stage
deploy:
  stage: deploy
